import "Turbine";
import "Turbine.Gameplay";
import "Turbine.UI";
import "Turbine.UI.Lotro";
import "Turbine.UI.Extensions";

import "QueekusPlugins.kmabc.MsgBox";

LangVerified = false;

if (Turbine.Engine.GetLocale() == "en") then
	pcall(function() import "QueekusPlugins.kmabc.LangDataEN" end); -- CHANGE BACK TO "EN"
	LangVerified = true;

elseif (Turbine.Engine.GetLocale() == "fr") then
	pcall(function() import "QueekusPlugins.kmabc.LangDataFR" end);
	LangVerified = true;

elseif (Turbine.Engine.GetLocale() == "de") then
	pcall(function() import "QueekusPlugins.kmabc.LangDataDE" end);
	--LangVerified = true;  --NOT HERE, SO ACTS AS CUTOFF SO THERE'S NO ERRORS
	
	MsgBoxDE = QueekusPlugins.kmabc.MsgBox("Die deutsche sprache","--------------..--","ist nicht verfugbar!"); -- the 2 ..'s are for the accent that lotro cannot show
	MsgBoxDE:SetVisible(true);

else
	MsgBox = QueekusPlugins.kmabc.MsgBox("Cannot Gather Locale Data", "Ne peuvent pas recueillir de informations Locale", Turbine.Engine.GetLocale());
	MsgBox:SetVisible(true);

end

if (LangVerified == true) then
	window = Turbine.UI.Lotro.Window();
	window:SetPosition( 350, 100 );
	window:SetSize( 418, 443 );
	window:SetText( ""..Lang[1][1] .."1.2");
	window:SetVisible( true );
	window:SetOpacity( "1" );

	label = Turbine.UI.Label();
	label:SetParent( window );
	label:SetPosition( 31, 34 );
	label:SetSize( 158, 15 );
	label:SetBackColor( Turbine.UI.Color(  0.0, 0.05, 1.0 ) );
	label:SetText( ""..Lang[1][24] );
	label:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	label:SetForeColor( Turbine.UI.Color(  0.0, 0.0, 0.0 ) );

	Copywrite = Turbine.UI.Label();
	Copywrite:SetParent( window );
	Copywrite:SetSelectable( true );
	Copywrite:SetPosition( 50, 418 );
	Copywrite:SetSize( 318, 15 );
	Copywrite:SetBackColor( Turbine.UI.Color( 0.0, 0.05, 1.0 ) );
	Copywrite:SetText( ""..Lang[1][3] );
	Copywrite:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	Copywrite:SetForeColor( Turbine.UI.Color(  0.0, 0.0, 0.0 ) );
	
	label1 = Turbine.UI.TextBox();
	label1:SetParent( window );
	label1:SetSelectable( true );
	label1:SetPosition( 10, 92 );
	label1:SetSize( 118, 38 );
	label1:SetBackColor( Turbine.UI.Color( 0.0, 0.05, 1.0 ) );
	label1:SetText( ""..Lang[1][4] );
	label1:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	label1:SetForeColor( Turbine.UI.Color(  0.0, 0.0, 0.0 ) );

	label2 = Turbine.UI.TextBox();
	label2:SetParent( window );
	label2:SetSelectable( true );
	label2:SetPosition( 130, 92 );
	label2:SetSize( 78, 38 );
	label2:SetBackColor( Turbine.UI.Color( 0.0, 0.05, 1.0 ) );
	label2:SetText( ""..Lang[1][5] );
	label2:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	label2:SetForeColor( Turbine.UI.Color(  0.0, 0.0, 0.0 ) );

	quickslot1 = Turbine.UI.Lotro.Quickslot()
	quickslot1:SetParent( window );
	quickslot1:SetPosition( 10, 52 );
	quickslot1:SetSize( 38, 38 );	
	quickslot1:SetAllowDrop(true);
	quickslot1:SetBackColor( Turbine.UI.Color( 0.0, 0.05, 1.0 ) );

	quickslot2 = Turbine.UI.Lotro.Quickslot()
	quickslot2:SetParent( window );
	quickslot2:SetPosition( 50, 52 );
	quickslot2:SetSize( 38, 38 );
	quickslot2:SetAllowDrop(true);
	quickslot2:SetBackColor( Turbine.UI.Color( 0.0, 0.05, 1.0 ) );

	quickslot3 = Turbine.UI.Lotro.Quickslot()
	quickslot3:SetParent( window );
	quickslot3:SetPosition( 90, 52 );
	quickslot3:SetSize( 38, 38 );
	quickslot3:SetAllowDrop(true);
	quickslot3:SetBackColor( Turbine.UI.Color( 0.0, 0.05, 1.0 ) );

	quickslot4 = Turbine.UI.Lotro.Quickslot()
	quickslot4:SetParent( window );
	quickslot4:SetPosition( 130, 52 );
	quickslot4:SetSize( 38, 38 );
	quickslot4:SetAllowDrop(true);
	quickslot4:SetBackColor( Turbine.UI.Color( 0.0, 0.05, 1.0 ) );

	quickslot5 = Turbine.UI.Lotro.Quickslot()
	quickslot5:SetParent( window );
	quickslot5:SetPosition( 170, 52 );
	quickslot5:SetSize( 38, 38 );
	quickslot5:SetAllowDrop(true);
	quickslot5:SetBackColor( Turbine.UI.Color( 0.0, 0.05, 1.0 ) );

	quickslot6 = Turbine.UI.Lotro.Quickslot()
	quickslot6:SetParent( window );
	quickslot6:SetPosition( 210, 52 );
	quickslot6:SetSize( 38, 38 );
	quickslot6:SetAllowDrop(true);
	quickslot6:SetBackColor( Turbine.UI.Color( 0.0, 0.05, 1.0 ) );

	quickslot7 = Turbine.UI.Lotro.Quickslot()
	quickslot7:SetParent( window );
	quickslot7:SetPosition( 250, 52 );
	quickslot7:SetSize( 38, 38 );
	quickslot7:SetAllowDrop(true);
	quickslot7:SetBackColor( Turbine.UI.Color( 0.0, 0.05, 1.0 ) );

	quickslot8 = Turbine.UI.Lotro.Quickslot()
	quickslot8:SetParent( window );
	quickslot8:SetPosition( 290, 52 );
	quickslot8:SetSize( 38, 38 );
	quickslot8:SetAllowDrop(true);
	quickslot8:SetBackColor( Turbine.UI.Color( 0.0, 0.05, 1.0 ) );

	quickslot9 = Turbine.UI.Lotro.Quickslot()
	quickslot9:SetParent( window );
	quickslot9:SetPosition( 330, 52 );
	quickslot9:SetSize( 38, 38 );
	quickslot9:SetAllowDrop(true);
	quickslot9:SetBackColor( Turbine.UI.Color( 0.0, 0.05, 1.0 ) );

	quickslotlyrical = Turbine.UI.Lotro.Quickslot()
	quickslotlyrical:SetParent( window );
	quickslotlyrical:SetPosition( 370, 52 );
	quickslotlyrical:SetSize( 38, 38 );
	quickslotlyrical:SetShortcut( Turbine.UI.Lotro.Shortcut( Turbine.UI.Lotro.ShortcutType.Alias, ""..Lang[1][2]) )
	quickslotlyrical:SetAllowDrop(true);
	quickslotlyrical:SetZOrder(100);
	quickslotlyrical:SetBackColor( Turbine.UI.Color( 0.0, 0.15, 1.0 ) );

	quickslotSP = Turbine.UI.Lotro.Quickslot()
	quickslotSP:SetParent( window );
	quickslotSP:SetPosition( 330, 92 );
	quickslotSP:SetSize( 38, 38 );
	quickslotSP:SetShortcut( Turbine.UI.Lotro.Shortcut( Turbine.UI.Lotro.ShortcutType.Alias, ""..Lang[1][6] .." " ..label1:GetText() .." " ..label2:GetText() .." " ..Lang[1][10]) )
	quickslotSP:SetAllowDrop(true);
	quickslotSP:SetBackColor( Turbine.UI.Color( 0.0, 0.15, 1.0 ) );

	quickslotPS = Turbine.UI.Lotro.Quickslot()
	quickslotPS:SetParent( window );
	quickslotPS:SetPosition( 370, 92 );
	quickslotPS:SetSize( 38, 38 );
	quickslotPS:SetShortcut( Turbine.UI.Lotro.Shortcut( Turbine.UI.Lotro.ShortcutType.Alias, ""..Lang[1][7]) )
	quickslotPS:SetAllowDrop(true);
	quickslotPS:SetBackColor( Turbine.UI.Color( 0.0, 0.15, 1.0 ) );
	
	quickslotP = Turbine.UI.Lotro.Quickslot()
	quickslotP:SetParent( window );
	quickslotP:SetPosition( 290, 92 );
	quickslotP:SetSize( 38, 38 );
	quickslotP:SetShortcut( Turbine.UI.Lotro.Shortcut( Turbine.UI.Lotro.ShortcutType.Alias, ""..Lang[1][6] .." " ..label1:GetText() .." " ..label2:GetText()) )
	quickslotP:SetAllowDrop(true);
	quickslotP:SetBackColor( Turbine.UI.Color( 0.0, 0.15, 1.0 ) );

	quickslotMM = Turbine.UI.Lotro.Quickslot()
	quickslotMM:SetParent( window );
	quickslotMM:SetPosition( 250, 92 );
	quickslotMM:SetSize( 38, 38 );
	quickslotMM:SetZOrder(100);
	quickslotMM:SetShortcut( Turbine.UI.Lotro.Shortcut( Turbine.UI.Lotro.ShortcutType.Alias, ""..Lang[1][8]) )
	quickslotMM:SetAllowDrop(true);
	quickslotMM:SetBackColor( Turbine.UI.Color( 0.0, 0.15, 1.0 ) );
	
	compactQuicks = Turbine.UI.Lotro.Quickslot()
	compactQuicks:SetParent( window );
	compactQuicks:SetPosition( 210, 92 );
	compactQuicks:SetSize( 38, 38 );
	compactQuicks:SetZOrder(100);
	compactQuicks:SetShortcut( Turbine.UI.Lotro.Shortcut( Turbine.UI.Lotro.ShortcutType.Alias, ""..Lang[1][9]) )
	compactQuicks:SetAllowDrop(true);
	compactQuicks:SetBackColor( Turbine.UI.Color( 0.0, 0.15, 1.0 ) );
	
	compactcontrol = Turbine.UI.Control();
	compactcontrol:SetParent( window );
	compactcontrol:SetPosition(210, 92);
	compactcontrol:SetSize(38, 38);
	compactcontrol:SetZOrder(110);
	compactcontrol:SetMouseVisible(false);
	compactcontrol:SetBackground("QueekusPlugins/kmabc/CompactBasic.tga");
	compactcontrol:SetBackColor( Turbine.UI.Color(  0.0, 0.15, 1.0 ) );
	compactcontrol:SetBackColorBlendMode( Turbine.UI.BlendMode.Color );

	musicIcon = Turbine.UI.Control();
	musicIcon:SetParent( window );
	musicIcon:SetPosition(250, 92);
	musicIcon:SetSize(38, 38);
	musicIcon:SetZOrder(110);
	musicIcon:SetMouseVisible(false);
	musicIcon:SetBackground("QueekusPlugins/kmabc/MusicBasic.tga");
	musicIcon:SetBackColor( Turbine.UI.Color(  0.0, 0.15, 1.0 ) );
	musicIcon:SetBackColorBlendMode( Turbine.UI.BlendMode.Color );

	playIcon = Turbine.UI.Control();
	playIcon:SetParent( window );
	playIcon:SetPosition(290, 92);
	playIcon:SetSize(38, 38);
	playIcon:SetZOrder(110);
	playIcon:SetMouseVisible(false);
	playIcon:SetBackground("QueekusPlugins/kmabc/PlayBasic.tga");
	playIcon:SetBackColor( Turbine.UI.Color(  0.0, 0.15, 1.0 ) );
	playIcon:SetBackColorBlendMode( Turbine.UI.BlendMode.Color );

	PlaySyncIcon = Turbine.UI.Control();
	PlaySyncIcon:SetParent( window );
	PlaySyncIcon:SetPosition(330, 92);
	PlaySyncIcon:SetSize(38, 38);
	PlaySyncIcon:SetZOrder(110);
	PlaySyncIcon:SetMouseVisible(false);
	PlaySyncIcon:SetBackground("QueekusPlugins/kmabc/PlaySyncBasic.tga");
	PlaySyncIcon:SetBackColor( Turbine.UI.Color(  0.0, 0.15, 1.0 ) );
	PlaySyncIcon:SetBackColorBlendMode( Turbine.UI.BlendMode.Color );
	
	PlayStartIcon = Turbine.UI.Control();
	PlayStartIcon:SetParent( window );
	PlayStartIcon:SetPosition(370, 92);
	PlayStartIcon:SetSize(38, 38);
	PlayStartIcon:SetZOrder(110);
	PlayStartIcon:SetMouseVisible(false);
	PlayStartIcon:SetBackground("QueekusPlugins/kmabc/PlaystartBasicx.tga");
	PlayStartIcon:SetBackColor( Turbine.UI.Color(  0.0, 0.15, 1.0 ) );
	PlayStartIcon:SetBackColorBlendMode( Turbine.UI.BlendMode.Color );
	
	LyricalIcon = Turbine.UI.Control();
	LyricalIcon:SetParent( window );
	LyricalIcon:SetPosition(370, 52);
	LyricalIcon:SetSize(38, 38);
	LyricalIcon:SetZOrder(110);
	LyricalIcon:SetMouseVisible(false);
	LyricalIcon:SetBackground("QueekusPlugins/kmabc/LyricalBasic.tga");
	LyricalIcon:SetBackColor( Turbine.UI.Color(  0.0, 0.15, 1.0 ) );
	LyricalIcon:SetBackColorBlendMode( Turbine.UI.BlendMode.Color );

	Notes = Turbine.UI.Lotro.TextBox();
	Notes:SetParent( window );
	Notes:SetSelectable( true );
	Notes:SetPosition( 211, 132 );
	Notes:SetSize( 197, 284 );
	Notes:SetBackColor( Turbine.UI.Color( 0.0, 0.05, 1.0 ) );
	Notes:SetText( ""..Lang[1][11] );
	Notes:SetTextAlignment( Turbine.UI.ContentAlignment.TopLeft );

	sidebar = Turbine.UI.Lotro.ScrollBar();
	sidebar:SetOrientation( Turbine.UI.Orientation.Vertical );
	sidebar:SetParent( window );
	sidebar:SetSize( 8, 284 );
	sidebar:SetPosition( 402, 132 );
	sidebar:SetZOrder(60);
	Notes:SetVerticalScrollBar( sidebar );

	PlistItem1 = Turbine.UI.Label();                          -- FOR PLAYLIST
	PlistItem1:SetParent( window );
	PlistItem1:SetSelectable( true );
	PlistItem1:SetPosition( 10, 132 );
	PlistItem1:SetSize( 198, 20 );
	PlistItem1:SetBackColor( Turbine.UI.Color( 0.0, 0.05, 1.0 ) );
	PlistItem1:SetText("RECENTLY PLAYED SONGS:");
	PlistItem1:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	PlistItem1:SetForeColor( Turbine.UI.Color(  0.0, 0.0, 0.0 ) );

	PlistItem2 = Turbine.UI.Label();
	PlistItem2:SetParent( window );
	PlistItem2:SetSelectable( true );
	PlistItem2:SetPosition( 10, 154 );
	PlistItem2:SetSize( 198, 20 );
	PlistItem2:SetBackColor( Turbine.UI.Color( 0.0, 0.05, 1.0 ) );
	PlistItem2:SetText( "");
	PlistItem2:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	PlistItem2:SetForeColor( Turbine.UI.Color(  0.0, 0.0, 0.0 ) );

	PlistItem3 = Turbine.UI.Label();
	PlistItem3:SetParent( window );
	PlistItem3:SetSelectable( true );
	PlistItem3:SetPosition( 10, 176 );
	PlistItem3:SetSize( 198, 20 );
	PlistItem3:SetBackColor( Turbine.UI.Color( 0.0, 0.05, 1.0 ) );
	PlistItem3:SetText( "");
	PlistItem3:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	PlistItem3:SetForeColor( Turbine.UI.Color(  0.0, 0.0, 0.0 ) );

	PlistItem4 = Turbine.UI.Label();
	PlistItem4:SetParent( window );
	PlistItem4:SetSelectable( true );
	PlistItem4:SetPosition( 10, 198 );
	PlistItem4:SetSize( 198, 20 );
	PlistItem4:SetBackColor( Turbine.UI.Color( 0.0, 0.05, 1.0 ) );
	PlistItem4:SetText( "");
	PlistItem4:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	PlistItem4:SetForeColor( Turbine.UI.Color(  0.0, 0.0, 0.0 ) );

	PlistItem5 = Turbine.UI.Label();
	PlistItem5:SetParent( window );
	PlistItem5:SetSelectable( true );
	PlistItem5:SetPosition( 10, 220 );
	PlistItem5:SetSize( 198, 20 );
	PlistItem5:SetBackColor( Turbine.UI.Color( 0.0, 0.05, 1.0 ) );
	PlistItem5:SetText( "");
	PlistItem5:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	PlistItem5:SetForeColor( Turbine.UI.Color(  0.0, 0.0, 0.0 ) );

	PlistItem6 = Turbine.UI.Label();
	PlistItem6:SetParent( window );
	PlistItem6:SetSelectable( true );
	PlistItem6:SetPosition( 10, 242 );
	PlistItem6:SetSize( 198, 20 );
	PlistItem6:SetBackColor( Turbine.UI.Color( 0.0, 0.05, 1.0 ) );
	PlistItem6:SetText( "");
	PlistItem6:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	PlistItem6:SetForeColor( Turbine.UI.Color(  0.0, 0.0, 0.0 ) );

	PlistItem7 = Turbine.UI.Label();
	PlistItem7:SetParent( window );
	PlistItem7:SetSelectable( true );
	PlistItem7:SetPosition( 10, 264 );
	PlistItem7:SetSize( 198, 20 );
	PlistItem7:SetBackColor( Turbine.UI.Color( 0.0, 0.05, 1.0 ) );
	PlistItem7:SetText( "");
	PlistItem7:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	PlistItem7:SetForeColor( Turbine.UI.Color(  0.0, 0.0, 0.0 ) );

	PlistItem8 = Turbine.UI.Label();
	PlistItem8:SetParent( window );
	PlistItem8:SetSelectable( true );
	PlistItem8:SetPosition( 10, 286 );
	PlistItem8:SetSize( 198, 20 );
	PlistItem8:SetBackColor( Turbine.UI.Color( 0.0, 0.05, 1.0 ) );
	PlistItem8:SetText( "");
	PlistItem8:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	PlistItem8:SetForeColor( Turbine.UI.Color(  0.0, 0.0, 0.0 ) );

	PlistItem9 = Turbine.UI.Label();
	PlistItem9:SetParent( window );
	PlistItem9:SetSelectable( true );
	PlistItem9:SetPosition( 10, 308 );
	PlistItem9:SetSize( 198, 20 );
	PlistItem9:SetBackColor( Turbine.UI.Color( 0.0, 0.05, 1.0 ) );
	PlistItem9:SetText( "");
	PlistItem9:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	PlistItem9:SetForeColor( Turbine.UI.Color(  0.0, 0.0, 0.0 ) );

	PlistItem10 = Turbine.UI.Label();
	PlistItem10:SetParent( window );
	PlistItem10:SetSelectable( true );
	PlistItem10:SetPosition( 10, 330 );
	PlistItem10:SetSize( 198, 20 );
	PlistItem10:SetBackColor( Turbine.UI.Color( 0.0, 0.05, 1.0 ) );
	PlistItem10:SetText( "");
	PlistItem10:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	PlistItem10:SetForeColor( Turbine.UI.Color(  0.0, 0.0, 0.0 ) );

	PlistItem11 = Turbine.UI.Label();
	PlistItem11:SetParent( window );
	PlistItem11:SetSelectable( true );
	PlistItem11:SetPosition( 10, 352 );
	PlistItem11:SetSize( 198, 20 );
	PlistItem11:SetBackColor( Turbine.UI.Color( 0.0, 0.05, 1.0 ) );
	PlistItem11:SetText( "");
	PlistItem11:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	PlistItem11:SetForeColor( Turbine.UI.Color(  0.0, 0.0, 0.0 ) );

	PlistItem12 = Turbine.UI.Label();
	PlistItem12:SetParent( window );
	PlistItem12:SetSelectable( true );
	PlistItem12:SetPosition( 10, 374 );
	PlistItem12:SetSize( 198, 20 );
	PlistItem12:SetBackColor( Turbine.UI.Color( 0.0, 0.05, 1.0 ) );
	PlistItem12:SetText( "");
	PlistItem12:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	PlistItem12:SetForeColor( Turbine.UI.Color(  0.0, 0.0, 0.0 ) );

	PlistItem13 = Turbine.UI.Label();
	PlistItem13:SetParent( window );
	PlistItem13:SetSelectable( true );
	PlistItem13:SetPosition( 10, 396 );
	PlistItem13:SetSize( 198, 20 );
	PlistItem13:SetBackColor( Turbine.UI.Color( 0.0, 0.05, 1.0 ) );
	PlistItem13:SetText( "" );
	PlistItem13:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	PlistItem13:SetForeColor( Turbine.UI.Color(  0.0, 0.0, 0.0 ) );

	local songname = "";

	quickslotMM.MouseEnter = function( sender , args )                               --/Music*

	
		musicIcon:SetBackground("QueekusPlugins/kmabc/MusicHover.tga");

		if (label2:GetText() == ""..Lang[1][5] ) then
			label2:SetText( "1" );

		else
			
		end	

		songname = label1:GetText();

		if (label1:GetText() == ""..Lang[1][4] ) then  -- FOR PLAYLIST NAME ENTER
		
		elseif (PlistItem1:GetText() == songname) then       
			--end

		elseif (PlistItem1:GetText() == "") then
			PlistItem1:SetText("" ..songname);

		elseif (PlistItem2:GetText() == songname) then
			--end

		elseif (PlistItem2:GetText() == "") then
			PlistItem2:SetText("" ..songname);
		
		elseif (PlistItem3:GetText() == songname) then
			--end

		elseif (PlistItem3:GetText() == "") then
			PlistItem3:SetText("" ..songname);

		elseif (PlistItem4:GetText() == songname) then
			--end

		elseif (PlistItem4:GetText() == "") then
			PlistItem4:SetText("" ..songname);

		elseif (PlistItem5:GetText() == songname) then
			--end

		elseif (PlistItem5:GetText() == "") then
			PlistItem5:SetText("" ..songname);

		elseif (PlistItem6:GetText() == songname) then
			--end

		elseif (PlistItem6:GetText() == "") then
			PlistItem6:SetText("" ..songname);
		
		elseif (PlistItem7:GetText() == songname) then
			--end

		elseif (PlistItem7:GetText() == "") then
			PlistItem7:SetText("" ..songname);

		elseif (PlistItem8:GetText() == songname) then
			--end

		elseif (PlistItem8:GetText() == "") then
			PlistItem8:SetText("" ..songname);
		
		elseif (PlistItem9:GetText() == songname) then
			--end

		elseif (PlistItem9:GetText() == "") then
			PlistItem9:SetText("" ..songname);

		elseif (PlistItem10:GetText() == songname) then
			--end

		elseif (PlistItem10:GetText() == "") then
			PlistItem10:SetText("" ..songname);

		elseif (PlistItem11:GetText() == songname) then
			--end

		elseif (PlistItem11:GetText() == "") then
			PlistItem11:SetText("" ..songname);
		
		elseif (PlistItem12:GetText() == songname) then
			--end

		elseif (PlistItem12:GetText() == "") then
			PlistItem12:SetText("" ..songname);

		elseif (PlistItem13:GetText() == songname) then
			--end

		elseif (PlistItem13:GetText() == "") then
			PlistItem13:SetText("" ..songname);
			
		end
	end
	
	quickslotMM.MouseLeave = function( sender , args )
		musicIcon:SetBackground("QueekusPlugins/kmabc/MusicBasic.tga");
	
	end
	
	quickslotP.MouseEnter = function(sender, args)                               --/Play
		quickslotSP:SetShortcut( Turbine.UI.Lotro.Shortcut( Turbine.UI.Lotro.ShortcutType.Alias, ""..Lang[1][6] .." " ..label1:GetText() .." " ..label2:GetText() .." " ..Lang[1][10] ))
	
		quickslotP:SetShortcut( Turbine.UI.Lotro.Shortcut( Turbine.UI.Lotro.ShortcutType.Alias, ""..Lang[1][6] .." " ..label1:GetText() .." " ..label2:GetText()) )
	
		playIcon:SetBackground("QueekusPlugins/kmabc/PlayHover.tga");

		if (label2:GetText() == ""..Lang[1][5] ) then
			label2:SetText( "1" );

		else
			
		end	
		
		songname = label1:GetText();

		if (label1:GetText() == ""..Lang[1][4] ) then  -- FOR PLAYLIST NAME ENTER
		
		elseif (PlistItem1:GetText() == songname) then       
			--end

		elseif (PlistItem1:GetText() == "") then
			PlistItem1:SetText("" ..songname);

		elseif (PlistItem2:GetText() == songname) then
			--end

		elseif (PlistItem2:GetText() == "") then
			PlistItem2:SetText("" ..songname);
		
		elseif (PlistItem3:GetText() == songname) then
			--end

		elseif (PlistItem3:GetText() == "") then
			PlistItem3:SetText("" ..songname);

		elseif (PlistItem4:GetText() == songname) then
			--end

		elseif (PlistItem4:GetText() == "") then
			PlistItem4:SetText("" ..songname);

		elseif (PlistItem5:GetText() == songname) then
			--end

		elseif (PlistItem5:GetText() == "") then
			PlistItem5:SetText("" ..songname);

		elseif (PlistItem6:GetText() == songname) then
			--end

		elseif (PlistItem6:GetText() == "") then
			PlistItem6:SetText("" ..songname);
		
		elseif (PlistItem7:GetText() == songname) then
			--end

		elseif (PlistItem7:GetText() == "") then
			PlistItem7:SetText("" ..songname);

		elseif (PlistItem8:GetText() == songname) then
			--end

		elseif (PlistItem8:GetText() == "") then
			PlistItem8:SetText("" ..songname);
		
		elseif (PlistItem9:GetText() == songname) then
			--end

		elseif (PlistItem9:GetText() == "") then
			PlistItem9:SetText("" ..songname);

		elseif (PlistItem10:GetText() == songname) then
			--end

		elseif (PlistItem10:GetText() == "") then
			PlistItem10:SetText("" ..songname);

		elseif (PlistItem11:GetText() == songname) then
			--end

		elseif (PlistItem11:GetText() == "") then
			PlistItem11:SetText("" ..songname);
		
		elseif (PlistItem12:GetText() == songname) then
			--end

		elseif (PlistItem12:GetText() == "") then
			PlistItem12:SetText("" ..songname);

		elseif (PlistItem13:GetText() == songname) then
			--end

		elseif (PlistItem13:GetText() == "") then
			PlistItem13:SetText("" ..songname);
			
		end

	end
	
	quickslotP.MouseLeave = function( sender , args )
		playIcon:SetBackground("QueekusPlugins/kmabc/PlayBasic.tga");
	
	end
	
	quickslotPS.MouseEnter = function( sender , args )                               --/PlayStart*
		PlayStartIcon:SetBackground("QueekusPlugins/kmabc/PlaystartHoverx.tga");

		if (label2:GetText() == ""..Lang[1][5] ) then
			label2:SetText( "1" );

		else
			
		end	


	
	end
	
	quickslotPS.MouseLeave = function( sender , args )
		PlayStartIcon:SetBackground("QueekusPlugins/kmabc/PlaystartBasicx.tga");
	
	end
	
	quickslotSP.MouseEnter = function( sender , args )                               --/SyncPlay
		quickslotSP:SetShortcut( Turbine.UI.Lotro.Shortcut( Turbine.UI.Lotro.ShortcutType.Alias, ""..Lang[1][6] .." " ..label1:GetText() .." " ..label2:GetText() .." " ..Lang[1][10] ))
	
		quickslotP:SetShortcut( Turbine.UI.Lotro.Shortcut( Turbine.UI.Lotro.ShortcutType.Alias, ""..Lang[1][6] .." " ..label1:GetText() .." " ..label2:GetText()) )
	
		PlaySyncIcon:SetBackground("QueekusPlugins/kmabc/PlaySyncHover.tga");

		if (label2:GetText() == ""..Lang[1][5] ) then
			label2:SetText( "1" );

		else
			
		end	

		songname = label1:GetText();

		if (label1:GetText() == ""..Lang[1][4] ) then  -- FOR PLAYLIST NAME ENTER
		
		elseif (PlistItem1:GetText() == songname) then       
			--end

		elseif (PlistItem1:GetText() == "") then
			PlistItem1:SetText("" ..songname);

		elseif (PlistItem2:GetText() == songname) then
			--end

		elseif (PlistItem2:GetText() == "") then
			PlistItem2:SetText("" ..songname);
		
		elseif (PlistItem3:GetText() == songname) then
			--end

		elseif (PlistItem3:GetText() == "") then
			PlistItem3:SetText("" ..songname);

		elseif (PlistItem4:GetText() == songname) then
			--end

		elseif (PlistItem4:GetText() == "") then
			PlistItem4:SetText("" ..songname);

		elseif (PlistItem5:GetText() == songname) then
			--end

		elseif (PlistItem5:GetText() == "") then
			PlistItem5:SetText("" ..songname);

		elseif (PlistItem6:GetText() == songname) then
			--end

		elseif (PlistItem6:GetText() == "") then
			PlistItem6:SetText("" ..songname);
		
		elseif (PlistItem7:GetText() == songname) then
			--end

		elseif (PlistItem7:GetText() == "") then
			PlistItem7:SetText("" ..songname);

		elseif (PlistItem8:GetText() == songname) then
			--end

		elseif (PlistItem8:GetText() == "") then
			PlistItem8:SetText("" ..songname);
		
		elseif (PlistItem9:GetText() == songname) then
			--end

		elseif (PlistItem9:GetText() == "") then
			PlistItem9:SetText("" ..songname);

		elseif (PlistItem10:GetText() == songname) then
			--end

		elseif (PlistItem10:GetText() == "") then
			PlistItem10:SetText("" ..songname);

		elseif (PlistItem11:GetText() == songname) then
			--end

		elseif (PlistItem11:GetText() == "") then
			PlistItem11:SetText("" ..songname);
		
		elseif (PlistItem12:GetText() == songname) then
			--end

		elseif (PlistItem12:GetText() == "") then
			PlistItem12:SetText("" ..songname);

		elseif (PlistItem13:GetText() == songname) then
			--end

		elseif (PlistItem13:GetText() == "") then
			PlistItem13:SetText("" ..songname);
			
		end
	
	end
	
	quickslotSP.MouseLeave = function( sender , args )
		PlaySyncIcon:SetBackground("QueekusPlugins/kmabc/PlaySyncBasic.tga");
	
	end
	
	quickslotlyrical.MouseEnter = function( sender , args )                               --/lyrical
		LyricalIcon:SetBackground("QueekusPlugins/kmabc/LyricalHover.tga");

	end

	quickslotlyrical.MouseLeave = function( sender , args )
		LyricalIcon:SetBackground("QueekusPlugins/kmabc/LyricalBasic.tga");

	end

	compactQuicks.MouseEnter = function( sender , args )                               --/Compact
		compactcontrol:SetBackground("QueekusPlugins/kmabc/CompactHover.tga");

	end

	compactQuicks.MouseLeave = function( sender , args )
		compactcontrol:SetBackground("QueekusPlugins/kmabc/CompactBasic.tga");

	end

	PlistItem2.MouseClick = function( sender , args ) -- FOR PLAYLIST RECALL
		if (PlistItem2:GetText() == "") then
			
		else
			label1:SetText(PlistItem2:GetText());
		end
	end
	PlistItem3.MouseClick = function( sender , args )
		if (PlistItem3:GetText() == "") then
			
		else
			label1:SetText(PlistItem3:GetText());
		end
	end
	PlistItem4.MouseClick = function( sender , args )
		if (PlistItem4:GetText() == "") then
			
		else
			label1:SetText(PlistItem4:GetText());
		end
	end
	PlistItem5.MouseClick = function( sender , args )
		if (PlistItem5:GetText() == "") then
			
		else
			label1:SetText(PlistItem5:GetText());
		end
	end
	PlistItem6.MouseClick = function( sender , args )
		if (PlistItem6:GetText() == "") then
			
		else
			label1:SetText(PlistItem6:GetText());
		end
	end
	PlistItem7.MouseClick = function( sender , args )
		if (PlistItem7:GetText() == "") then
			
		else
			label1:SetText(PlistItem7:GetText());
		end
	end
	PlistItem8.MouseClick = function( sender , args )
		if (PlistItem8:GetText() == "") then
			
		else
			label1:SetText(PlistItem8:GetText());
		end
	end
	PlistItem9.MouseClick = function( sender , args )
		if (PlistItem9:GetText() == "") then
			
		else
			label1:SetText(PlistItem9:GetText());
		end
	end
	PlistItem10.MouseClick = function( sender , args )
		if (PlistItem10:GetText() == "") then
			
		else
			label1:SetText(PlistItem10:GetText());
		end
	end
	PlistItem11.MouseClick = function( sender , args )
		if (PlistItem11:GetText() == "") then
			
		else
			label1:SetText(PlistItem11:GetText());
		end
	end
	PlistItem12.MouseClick = function( sender , args )
		if (PlistItem12:GetText() == "") then
			
		else
			label1:SetText(PlistItem12:GetText());
		end
	end
	PlistItem13.MouseClick = function( sender , args )
		if (PlistItem13:GetText() == "") then
			
		else
			label1:SetText(PlistItem13:GetText());
		end
	end

	Save = Turbine.UI.Button();
	Save:SetParent( window );
	Save:SetPosition( 210, 34 );
	Save:SetSize( 78, 15 );
	Save:SetBackColor( Turbine.UI.Color( 0.0, 0.05, 1.0 ) );
	Save:SetText( ""..Lang[1][21] );
	Save:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	Save:SetForeColor( Turbine.UI.Color(  0.0, 0.0, 0.0 ) );

	Load = Turbine.UI.Button();
	Load:SetParent( window );
	Load:SetPosition( 290, 34 );
	Load:SetSize( 78, 15 );
	Load:SetBackColor( Turbine.UI.Color( 0.0, 0.05, 1.0 ) );
	Load:SetText( ""..Lang[1][22] );
	Load:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	Load:SetForeColor( Turbine.UI.Color(  0.0, 0.0, 0.0 ) );

	savedatax = Turbine.PluginData.Load(Turbine.DataScope.Character, "KmabcSaveData", null); -- it's this line, needs -- when saving for first time...

	Save.Click = function( sender , args )

		savedatax ={
			quickslot1SavData = { Data ,
					      Type ,
					    };
			quickslot2SavData = { Data ,
					      Type ,
					    };
			quickslot3SavData = { Data ,
					      Type ,
					    };
			quickslot4SavData = { Data ,
					      Type ,
					    };
			quickslot5SavData = { Data ,
					      Type ,
					    };
			quickslot6SavData = { Data ,
					      Type ,
					    };
			quickslot7SavData = { Data ,
					      Type ,
					    };
			quickslot8SavData = { Data ,
					      Type ,
					    };
			quickslot9SavData = { Data ,
					      Type ,
					    };
			PlayListSave2 = PlistItem2:GetText(); -- 2 because of playlist titlebox.
			PlayListSave3 = PlistItem3:GetText();
			PlayListSave4 = PlistItem4:GetText();
			PlayListSave5 = PlistItem5:GetText();
			PlayListSave6 = PlistItem6:GetText();
			PlayListSave7 = PlistItem7:GetText();
			PlayListSave8 = PlistItem8:GetText();
			PlayListSave9 = PlistItem9:GetText();
			PlayListSave10 = PlistItem10:GetText();
			PlayListSave11 = PlistItem11:GetText();
			PlayListSave12 = PlistItem12:GetText();
			PlayListSave13 = PlistItem13:GetText();

			NotesSave = Notes:GetText();

			labelColourSave = label:GetBackColor();
			CopywriteColourSave = Copywrite:GetBackColor();
			label1ColourSave = label1:GetBackColor();
			label2ColourSave = label2:GetBackColor();
			NotesColourSave = Notes:GetBackColor();
			
			quickslot1ColourSave = quickslot1:GetBackColor();
			quickslot2ColourSave = quickslot2:GetBackColor();
			quickslot3ColourSave = quickslot3:GetBackColor();
			quickslot4ColourSave = quickslot4:GetBackColor();
			quickslot5ColourSave = quickslot5:GetBackColor();
			quickslot6ColourSave = quickslot6:GetBackColor();
			quickslot7ColourSave = quickslot7:GetBackColor();
			quickslot8ColourSave = quickslot8:GetBackColor();
			quickslot9ColourSave = quickslot9:GetBackColor();

			SaveColourSave = Save:GetBackColor();
			LoadColourSave = Load:GetBackColor();

			musicIconColourSave = musicIcon:GetBackColor();
			PlayIconColourSave = playIcon:GetBackColor();
			PlayStartIconColourSave = PlayStartIcon:GetBackColor();
			PlaySyncIconColourSave = PlaySyncIcon:GetBackColor();
			LyricalIconColourSave = LyricalIcon:GetBackColor();
			compactcontrolColourSave = compactcontrol:GetBackColor();

			PlayListColourSave1 = PlistItem1:GetBackColor();
			PlayListColourSave2 = PlistItem2:GetBackColor();
			PlayListColourSave3 = PlistItem3:GetBackColor();
			PlayListColourSave4 = PlistItem4:GetBackColor();
			PlayListColourSave5 = PlistItem5:GetBackColor();
			PlayListColourSave6 = PlistItem6:GetBackColor();
			PlayListColourSave7 = PlistItem7:GetBackColor();
			PlayListColourSave8 = PlistItem8:GetBackColor();
			PlayListColourSave9 = PlistItem9:GetBackColor();
			PlayListColourSave10 = PlistItem10:GetBackColor();
			PlayListColourSave11 = PlistItem11:GetBackColor();
			PlayListColourSave12 = PlistItem12:GetBackColor();
			PlayListColourSave13 = PlistItem13:GetBackColor();
			 }

		shortcut1 = quickslot1:GetShortcut();
		savedatax.quickslot1SavData.Data = shortcut1:GetData();
		savedatax.quickslot1SavData.Type = shortcut1:GetType();

		shortcut2 = quickslot2:GetShortcut();
		savedatax.quickslot2SavData.Data = shortcut2:GetData();
		savedatax.quickslot2SavData.Type = shortcut2:GetType();

		shortcut3 = quickslot3:GetShortcut();
		savedatax.quickslot3SavData.Data = shortcut3:GetData();
		savedatax.quickslot3SavData.Type = shortcut3:GetType();

		shortcut4 = quickslot4:GetShortcut();
		savedatax.quickslot4SavData.Data = shortcut4:GetData();
		savedatax.quickslot4SavData.Type = shortcut4:GetType();

		shortcut5 = quickslot5:GetShortcut();
		savedatax.quickslot5SavData.Data = shortcut5:GetData();
		savedatax.quickslot5SavData.Type = shortcut5:GetType();

		shortcut6 = quickslot6:GetShortcut();
		savedatax.quickslot6SavData.Data = shortcut6:GetData();
		savedatax.quickslot6SavData.Type = shortcut6:GetType();

		shortcut7 = quickslot7:GetShortcut();
		savedatax.quickslot7SavData.Data = shortcut7:GetData();
		savedatax.quickslot7SavData.Type = shortcut7:GetType();

		shortcut8 = quickslot8:GetShortcut();
		savedatax.quickslot8SavData.Data = shortcut8:GetData();
		savedatax.quickslot8SavData.Type = shortcut8:GetType();

		shortcut9 = quickslot9:GetShortcut();
		savedatax.quickslot9SavData.Data = shortcut9:GetData();
		savedatax.quickslot9SavData.Type = shortcut9:GetType();

			Turbine.PluginData.Save(Turbine.DataScope.Character, "KmabcSaveData", savedatax); 

		Turbine.Shell.WriteLine(""..Lang[1][21] .." 100%");
	end
	
	Load.Click = function( sender , args )

		local shortcutLoad1 = Turbine.UI.Lotro.Shortcut();
		pcall(function() shortcutLoad1:SetType(savedatax.quickslot1SavData.Type) end);
		pcall(function() shortcutLoad1:SetData(savedatax.quickslot1SavData.Data) end);
		pcall(function() quickslot1:SetShortcut(shortcutLoad1) end);

		local shortcutLoad2 = Turbine.UI.Lotro.Shortcut();
		pcall(function()shortcutLoad2:SetType(savedatax.quickslot2SavData.Type) end);
		pcall(function()shortcutLoad2:SetData(savedatax.quickslot2SavData.Data) end);
		pcall(function()quickslot2:SetShortcut(shortcutLoad2) end);

		local shortcutLoad3 = Turbine.UI.Lotro.Shortcut();
		pcall(function()shortcutLoad3:SetType(savedatax.quickslot3SavData.Type) end);
		pcall(function()shortcutLoad3:SetData(savedatax.quickslot3SavData.Data) end);
		pcall(function()quickslot3:SetShortcut(shortcutLoad3) end);

		local shortcutLoad4 = Turbine.UI.Lotro.Shortcut();
		pcall(function()shortcutLoad4:SetType(savedatax.quickslot4SavData.Type) end);
		pcall(function()shortcutLoad4:SetData(savedatax.quickslot4SavData.Data) end);
		pcall(function()quickslot4:SetShortcut(shortcutLoad4) end);

		local shortcutLoad5 = Turbine.UI.Lotro.Shortcut();
		pcall(function()shortcutLoad5:SetType(savedatax.quickslot5SavData.Type) end);
		pcall(function()shortcutLoad5:SetData(savedatax.quickslot5SavData.Data) end);
		pcall(function()quickslot5:SetShortcut(shortcutLoad5) end);

		local shortcutLoad6 = Turbine.UI.Lotro.Shortcut();
		pcall(function()shortcutLoad6:SetType(savedatax.quickslot6SavData.Type) end);
		pcall(function()shortcutLoad6:SetData(savedatax.quickslot6SavData.Data) end);
		pcall(function()quickslot6:SetShortcut(shortcutLoad6) end);

		local shortcutLoad7 = Turbine.UI.Lotro.Shortcut();
		pcall(function()shortcutLoad7:SetType(savedatax.quickslot7SavData.Type) end);
		pcall(function()shortcutLoad7:SetData(savedatax.quickslot7SavData.Data) end);
		pcall(function()quickslot7:SetShortcut(shortcutLoad7) end);

		local shortcutLoad8 = Turbine.UI.Lotro.Shortcut();
		pcall(function()shortcutLoad8:SetType(savedatax.quickslot8SavData.Type) end);
		pcall(function()shortcutLoad8:SetData(savedatax.quickslot8SavData.Data) end);
		pcall(function()quickslot8:SetShortcut(shortcutLoad8) end);

		local shortcutLoad9 = Turbine.UI.Lotro.Shortcut();
		pcall(function()shortcutLoad9:SetType(savedatax.quickslot9SavData.Type) end);
		pcall(function()shortcutLoad9:SetData(savedatax.quickslot9SavData.Data) end);
		pcall(function()quickslot9:SetShortcut(shortcutLoad9) end);

		pcall(function() PlistItem2:SetText(""..savedatax.PlayListSave2) end);
		pcall(function() PlistItem3:SetText(""..savedatax.PlayListSave3) end);
		pcall(function() PlistItem4:SetText(""..savedatax.PlayListSave4) end);
		pcall(function() PlistItem5:SetText(""..savedatax.PlayListSave5) end);
		pcall(function() PlistItem6:SetText(""..savedatax.PlayListSave6) end);
		pcall(function() PlistItem7:SetText(""..savedatax.PlayListSave7) end);
		pcall(function() PlistItem8:SetText(""..savedatax.PlayListSave8) end);
		pcall(function() PlistItem9:SetText(""..savedatax.PlayListSave9) end);
		pcall(function() PlistItem10:SetText(""..savedatax.PlayListSave10) end);
		pcall(function() PlistItem11:SetText(""..savedatax.PlayListSave11) end);
		pcall(function() PlistItem12:SetText(""..savedatax.PlayListSave12) end);
		pcall(function() PlistItem13:SetText(""..savedatax.PlayListSave13) end);
		
		pcall(function() Notes:SetText(""..savedatax.NotesSave) end);

		pcall(function() label:SetBackColor( Turbine.UI.Color( savedatax.labelColourSave.R, savedatax.labelColourSave.G, savedatax.labelColourSave.B )) end); 
		pcall(function() Copywrite:SetBackColor( Turbine.UI.Color( savedatax.CopywriteColourSave.R, savedatax.CopywriteColourSave.G, savedatax.CopywriteColourSave.B )) end); 
		pcall(function() label1:SetBackColor( Turbine.UI.Color( savedatax.label1ColourSave.R, savedatax.label1ColourSave.G, savedatax.label1ColourSave.B )) end);
		pcall(function() label2:SetBackColor( Turbine.UI.Color( savedatax.label2ColourSave.R, savedatax.label2ColourSave.G, savedatax.label2ColourSave.B )) end);
		pcall(function() quickslot1:SetBackColor( Turbine.UI.Color( savedatax.quickslot1ColourSave.R, savedatax.quickslot1ColourSave.G, savedatax.quickslot1ColourSave.B )) end);
		pcall(function() quickslot2:SetBackColor( Turbine.UI.Color( savedatax.quickslot2ColourSave.R, savedatax.quickslot2ColourSave.G, savedatax.quickslot2ColourSave.B )) end);
		pcall(function() quickslot3:SetBackColor( Turbine.UI.Color( savedatax.quickslot3ColourSave.R, savedatax.quickslot3ColourSave.G, savedatax.quickslot3ColourSave.B )) end);
		pcall(function() quickslot4:SetBackColor( Turbine.UI.Color( savedatax.quickslot4ColourSave.R, savedatax.quickslot4ColourSave.G, savedatax.quickslot4ColourSave.B )) end);
		pcall(function() quickslot5:SetBackColor( Turbine.UI.Color( savedatax.quickslot5ColourSave.R, savedatax.quickslot5ColourSave.G, savedatax.quickslot5ColourSave.B )) end);
		pcall(function() quickslot6:SetBackColor( Turbine.UI.Color( savedatax.quickslot6ColourSave.R, savedatax.quickslot6ColourSave.G, savedatax.quickslot6ColourSave.B )) end);
		pcall(function() quickslot7:SetBackColor( Turbine.UI.Color( savedatax.quickslot7ColourSave.R, savedatax.quickslot7ColourSave.G, savedatax.quickslot7ColourSave.B )) end);
		pcall(function() quickslot8:SetBackColor( Turbine.UI.Color( savedatax.quickslot8ColourSave.R, savedatax.quickslot8ColourSave.G, savedatax.quickslot8ColourSave.B )) end);
		pcall(function() quickslot9:SetBackColor( Turbine.UI.Color( savedatax.quickslot9ColourSave.R, savedatax.quickslot9ColourSave.G, savedatax.quickslot9ColourSave.B )) end);
		
		pcall(function() Notes:SetBackColor( Turbine.UI.Color( savedatax.NotesColourSave.R, savedatax.NotesColourSave.G, savedatax.NotesColourSave.B )) end);
		
		pcall(function() Save:SetBackColor( Turbine.UI.Color( savedatax.SaveColourSave.R, savedatax.SaveColourSave.G, savedatax.SaveColourSave.B )) end); 
		pcall(function() Load:SetBackColor( Turbine.UI.Color( savedatax.LoadColourSave.R, savedatax.LoadColourSave.G, savedatax.LoadColourSave.B )) end); 
		
		pcall(function() playIcon:SetBackColor( Turbine.UI.Color( savedatax.PlayIconColourSave.R, savedatax.PlayIconColourSave.G, savedatax.PlayIconColourSave.B )) end); 
		pcall(function() PlayStartIcon:SetBackColor( Turbine.UI.Color( savedatax.PlayStartIconColourSave.R, savedatax.PlayStartIconColourSave.G, savedatax.PlayStartIconColourSave.B )) end); 
		pcall(function() LyricalIcon:SetBackColor( Turbine.UI.Color( savedatax.LyricalIconColourSave.R, savedatax.LyricalIconColourSave.G, savedatax.LyricalIconColourSave.B )) end); 
		pcall(function() musicIcon:SetBackColor( Turbine.UI.Color( savedatax.musicIconColourSave.R, savedatax.musicIconColourSave.G, savedatax.musicIconColourSave.B )) end); 
		pcall(function() PlaySyncIcon:SetBackColor( Turbine.UI.Color( savedatax.PlaySyncIconColourSave.R, savedatax.PlaySyncIconColourSave.G, savedatax.PlaySyncIconColourSave.B )) end); 
		pcall(function() compactcontrol:SetBackColor( Turbine.UI.Color( savedatax.compactcontrolColourSave.R, savedatax.compactcontrolColourSave.G, savedatax.compactcontrolColourSave.B )) end); 

		pcall(function() PlistItem1:SetBackColor(Turbine.UI.Color( savedatax.PlayListColourSave1.R, savedatax.PlayListColourSave1.G, savedatax.PlayListColourSave1.B )) end);
		pcall(function() PlistItem2:SetBackColor(Turbine.UI.Color( savedatax.PlayListColourSave2.R, savedatax.PlayListColourSave2.G, savedatax.PlayListColourSave2.B )) end);
		pcall(function() PlistItem3:SetBackColor(Turbine.UI.Color( savedatax.PlayListColourSave3.R, savedatax.PlayListColourSave3.G, savedatax.PlayListColourSave3.B )) end);
		pcall(function() PlistItem4:SetBackColor(Turbine.UI.Color( savedatax.PlayListColourSave4.R, savedatax.PlayListColourSave4.G, savedatax.PlayListColourSave4.B )) end);
		pcall(function() PlistItem5:SetBackColor(Turbine.UI.Color( savedatax.PlayListColourSave5.R, savedatax.PlayListColourSave5.G, savedatax.PlayListColourSave5.B )) end);
		pcall(function() PlistItem6:SetBackColor(Turbine.UI.Color( savedatax.PlayListColourSave6.R, savedatax.PlayListColourSave6.G, savedatax.PlayListColourSave6.B )) end);
		pcall(function() PlistItem7:SetBackColor(Turbine.UI.Color( savedatax.PlayListColourSave7.R, savedatax.PlayListColourSave7.G, savedatax.PlayListColourSave7.B )) end);
		pcall(function() PlistItem8:SetBackColor(Turbine.UI.Color( savedatax.PlayListColourSave8.R, savedatax.PlayListColourSave8.G, savedatax.PlayListColourSave8.B )) end);
		pcall(function() PlistItem9:SetBackColor(Turbine.UI.Color( savedatax.PlayListColourSave9.R, savedatax.PlayListColourSave9.G, savedatax.PlayListColourSave9.B )) end);
		pcall(function() PlistItem10:SetBackColor(Turbine.UI.Color( savedatax.PlayListColourSave10.R, savedatax.PlayListColourSave10.G, savedatax.PlayListColourSave10.B )) end);
		pcall(function() PlistItem11:SetBackColor(Turbine.UI.Color( savedatax.PlayListColourSave11.R, savedatax.PlayListColourSave11.G, savedatax.PlayListColourSave11.B )) end);
		pcall(function() PlistItem12:SetBackColor(Turbine.UI.Color( savedatax.PlayListColourSave12.R, savedatax.PlayListColourSave12.G, savedatax.PlayListColourSave12.B )) end);
		pcall(function() PlistItem13:SetBackColor(Turbine.UI.Color( savedatax.PlayListColourSave13.R, savedatax.PlayListColourSave13.G, savedatax.PlayListColourSave13.B )) end);
		
		Turbine.Shell.WriteLine(""..Lang[1][22] .." 100%");

	end

	Turbine.Shell.WriteLine(""..Lang[1][12] );

TestCommand = Turbine.ShellCommand();

Turbine.Shell.AddCommand("kmabc",TestCommand);

function TestCommand:Execute( command, arguments)

	if (arguments=="show") then
		window:SetVisible( true )

	elseif (arguments=="hide") then
		window:SetVisible( false )

	elseif (arguments=="toggle") then
		window:SetVisible(not window:IsVisible());

	elseif (arguments=="compact") then
		Notes:SetVisible(not Notes:IsVisible());
		sidebar:SetVisible(not sidebar:IsVisible());

		if (Notes:IsVisible() == true) then
			window:SetSize( 418, 443 );
			Copywrite:SetPosition( 50, 418 );	
			sidebar:SetParent( window );
			PlistItem1:SetParent( window );
			PlistItem2:SetParent( window );
			PlistItem3:SetParent( window );
			PlistItem4:SetParent( window );
			PlistItem5:SetParent( window );
			PlistItem6:SetParent( window );
			PlistItem7:SetParent( window );
			PlistItem8:SetParent( window );
			PlistItem9:SetParent( window );
			PlistItem10:SetParent( window );
			PlistItem11:SetParent( window );
			PlistItem12:SetParent( window );
			PlistItem13:SetParent( window );

		elseif (Notes:IsVisible() == false) then
			window:SetSize( 418, 160 );
			Copywrite:SetPosition( 50, 135 );
			sidebar:SetParent();
			PlistItem1:SetParent(  );
			PlistItem2:SetParent(  );
			PlistItem3:SetParent(  );
			PlistItem4:SetParent(  );
			PlistItem5:SetParent(  );
			PlistItem6:SetParent(  );
			PlistItem7:SetParent(  );
			PlistItem8:SetParent(  );
			PlistItem9:SetParent(  );
			PlistItem10:SetParent(  );
			PlistItem11:SetParent(  );
			PlistItem12:SetParent(  );
			PlistItem13:SetParent(  );

		end
		elseif (arguments=="blue") then
			label:SetBackColor( Turbine.UI.Color(  0.0, 0.05, 1.0 ) );
			Save:SetBackColor( Turbine.UI.Color( 0.0, 0.05, 1.0 ) );
			Load:SetBackColor( Turbine.UI.Color( 0.0, 0.05, 1.0 ) );
			Copywrite:SetBackColor( Turbine.UI.Color( 0.0, 0.05, 1.0 ) );
			label1:SetBackColor( Turbine.UI.Color( 0.0, 0.05, 1.0 ) );
			label2:SetBackColor( Turbine.UI.Color( 0.0, 0.05, 1.0 ) );
			quickslot1:SetBackColor( Turbine.UI.Color( 0.0, 0.05, 1.0 ) );
			quickslot2:SetBackColor( Turbine.UI.Color( 0.0, 0.05, 1.0 ) );
			quickslot3:SetBackColor( Turbine.UI.Color( 0.0, 0.05, 1.0 ) );
			quickslot4:SetBackColor( Turbine.UI.Color( 0.0, 0.05, 1.0 ) );
			quickslot5:SetBackColor( Turbine.UI.Color( 0.0, 0.05, 1.0 ) );
			quickslot6:SetBackColor( Turbine.UI.Color( 0.0, 0.05, 1.0 ) );
			quickslot7:SetBackColor( Turbine.UI.Color( 0.0, 0.05, 1.0 ) );
			quickslot8:SetBackColor( Turbine.UI.Color( 0.0, 0.05, 1.0 ) );
			quickslot9:SetBackColor( Turbine.UI.Color( 0.0, 0.05, 1.0 ) );
			quickslotlyrical:SetBackColor( Turbine.UI.Color( 0.0, 0.05, 1.0 ) );
			quickslotSP:SetBackColor( Turbine.UI.Color( 0.0, 0.05, 1.0 ) );
			quickslotPS:SetBackColor( Turbine.UI.Color( 0.0, 0.05, 1.0 ) );
			quickslotP:SetBackColor( Turbine.UI.Color( 0.0, 0.05, 1.0 ) );
			quickslotMM:SetBackColor( Turbine.UI.Color( 0.0, 0.05, 1.0 ) );
			compactQuicks:SetBackColor( Turbine.UI.Color( 0.0, 0.05, 1.0 ) );
			Notes:SetBackColor( Turbine.UI.Color( 0.0, 0.05, 1.0 ) );
			compactcontrol:SetBackColor( Turbine.UI.Color(  0.0, 0.05, 1.0 ) );
			musicIcon:SetBackColor( Turbine.UI.Color(  0.0, 0.05, 1.0 ) );
			playIcon:SetBackColor( Turbine.UI.Color(  0.0, 0.05, 1.0 ) );
			PlaySyncIcon:SetBackColor( Turbine.UI.Color(  0.0, 0.05, 1.0 ) );
			PlayStartIcon:SetBackColor( Turbine.UI.Color(  0.0, 0.05, 1.0 ) );
			LyricalIcon:SetBackColor( Turbine.UI.Color(  0.0, 0.05, 1.0 ) );
			PlistItem1:SetBackColor( Turbine.UI.Color( 0.0, 0.05, 1.0 ) );
			PlistItem2:SetBackColor( Turbine.UI.Color( 0.0, 0.05, 1.0 ) );
			PlistItem3:SetBackColor( Turbine.UI.Color( 0.0, 0.05, 1.0 ) );
			PlistItem4:SetBackColor( Turbine.UI.Color( 0.0, 0.05, 1.0 ) );
			PlistItem5:SetBackColor( Turbine.UI.Color( 0.0, 0.05, 1.0 ) );
			PlistItem6:SetBackColor( Turbine.UI.Color( 0.0, 0.05, 1.0 ) );
			PlistItem7:SetBackColor( Turbine.UI.Color( 0.0, 0.05, 1.0 ) );
			PlistItem8:SetBackColor( Turbine.UI.Color( 0.0, 0.05, 1.0 ) );
			PlistItem9:SetBackColor( Turbine.UI.Color( 0.0, 0.05, 1.0 ) );
			PlistItem10:SetBackColor( Turbine.UI.Color( 0.0, 0.05, 1.0 ) );
			PlistItem11:SetBackColor( Turbine.UI.Color( 0.0, 0.05, 1.0 ) );
			PlistItem12:SetBackColor( Turbine.UI.Color( 0.0, 0.05, 1.0 ) );
			PlistItem13:SetBackColor( Turbine.UI.Color( 0.0, 0.05, 1.0 ) );

		elseif (arguments=="red") then
			label:SetBackColor( Turbine.UI.Color(  0.55, 0.0, 0.0 ) );
			Save:SetBackColor( Turbine.UI.Color( 0.55, 0.0, 0.0 ) );
			Load:SetBackColor( Turbine.UI.Color( 0.55, 0.0, 0.0 ) );
			Copywrite:SetBackColor( Turbine.UI.Color( 0.55, 0.0, 0.0 ) );
			label1:SetBackColor( Turbine.UI.Color( 0.55, 0.0, 0.0 ) );
			label2:SetBackColor( Turbine.UI.Color( 0.55, 0.0, 0.0 ) );
			quickslot1:SetBackColor( Turbine.UI.Color( 0.55, 0.0, 0.0 ) );
			quickslot2:SetBackColor( Turbine.UI.Color( 0.55, 0.0, 0.0 ) );
			quickslot3:SetBackColor( Turbine.UI.Color( 0.55, 0.0, 0.0 ) );
			quickslot4:SetBackColor( Turbine.UI.Color( 0.55, 0.0, 0.0 ) );
			quickslot5:SetBackColor( Turbine.UI.Color( 0.55, 0.0, 0.0 ) );
			quickslot6:SetBackColor( Turbine.UI.Color( 0.55, 0.0, 0.0 ) );
			quickslot7:SetBackColor( Turbine.UI.Color( 0.55, 0.0, 0.0 ) );
			quickslot8:SetBackColor( Turbine.UI.Color( 0.55, 0.0, 0.0 ) );
			quickslot9:SetBackColor( Turbine.UI.Color( 0.55, 0.0, 0.0 ) );
			quickslotlyrical:SetBackColor( Turbine.UI.Color( 0.55, 0.0, 0.0 ) );
			quickslotSP:SetBackColor( Turbine.UI.Color( 0.55, 0.0, 0.0 ) );
			quickslotPS:SetBackColor( Turbine.UI.Color( 0.55, 0.0, 0.0 ) );
			quickslotP:SetBackColor( Turbine.UI.Color( 0.55, 0.0, 0.0 ) );
			quickslotMM:SetBackColor( Turbine.UI.Color( 0.55, 0.0, 0.0 ) );
			compactQuicks:SetBackColor( Turbine.UI.Color( 0.55, 0.0, 0.0 ) );
			Notes:SetBackColor( Turbine.UI.Color( 1.0, 0.0, 0.0 ) );
			compactcontrol:SetBackColor( Turbine.UI.Color(  0.15, 0.0, 0.0 ) );
			musicIcon:SetBackColor( Turbine.UI.Color(  0.15, 0.0, 0.0) );
			playIcon:SetBackColor( Turbine.UI.Color(  0.15, 0.0, 0.0) );
			PlaySyncIcon:SetBackColor( Turbine.UI.Color(0.15, 0.0, 0.0) );
			PlayStartIcon:SetBackColor( Turbine.UI.Color(  0.15, 0.0, 0.0) );
			LyricalIcon:SetBackColor( Turbine.UI.Color(  0.15, 0.0, 0.0 ) );
			PlistItem1:SetBackColor( Turbine.UI.Color( 0.55, 0.0, 0.0 ) );
			PlistItem2:SetBackColor( Turbine.UI.Color( 0.55, 0.0, 0.0 ) );
			PlistItem3:SetBackColor( Turbine.UI.Color( 0.55, 0.0, 0.0 ) );
			PlistItem4:SetBackColor( Turbine.UI.Color( 0.55, 0.0, 0.0 ) );
			PlistItem5:SetBackColor( Turbine.UI.Color( 0.55, 0.0, 0.0 ) );
			PlistItem6:SetBackColor( Turbine.UI.Color( 0.55, 0.0, 0.0 ) );
			PlistItem7:SetBackColor( Turbine.UI.Color( 0.55, 0.0, 0.0 ) );
			PlistItem8:SetBackColor( Turbine.UI.Color( 0.55, 0.0, 0.0 ) );
			PlistItem9:SetBackColor( Turbine.UI.Color( 0.55, 0.0, 0.0 ) );
			PlistItem10:SetBackColor( Turbine.UI.Color( 0.55, 0.0, 0.0 ) );
			PlistItem11:SetBackColor( Turbine.UI.Color( 0.55, 0.0, 0.0 ) );
			PlistItem12:SetBackColor( Turbine.UI.Color( 0.55, 0.0, 0.0 ) );
			PlistItem13:SetBackColor( Turbine.UI.Color( 0.55, 0.0, 0.0 ) );

		elseif (arguments=="violet") then
			label:SetBackColor( Turbine.UI.Color( 0.3, 0.3, 0.6 ) );
			Save:SetBackColor( Turbine.UI.Color(  0.3, 0.3, 0.6 ) );
			Load:SetBackColor( Turbine.UI.Color(  0.3, 0.3, 0.6 ) );
			Copywrite:SetBackColor( Turbine.UI.Color(  0.3, 0.3, 0.6 ) );
			label1:SetBackColor( Turbine.UI.Color(  0.3, 0.3, 0.6 ) );
			label2:SetBackColor( Turbine.UI.Color(  0.3, 0.3, 0.6 ) );
			quickslot1:SetBackColor( Turbine.UI.Color(  0.3, 0.3, 0.6 ) );
			quickslot2:SetBackColor( Turbine.UI.Color(  0.3, 0.3, 0.6 ) );
			quickslot3:SetBackColor( Turbine.UI.Color(  0.3, 0.3, 0.6 ) );
			quickslot4:SetBackColor( Turbine.UI.Color(  0.3, 0.3, 0.6 ) );
			quickslot5:SetBackColor( Turbine.UI.Color(  0.3, 0.3, 0.6 ) );
			quickslot6:SetBackColor( Turbine.UI.Color(  0.3, 0.3, 0.6 ) );
			quickslot7:SetBackColor( Turbine.UI.Color(  0.3, 0.3, 0.6 ) );
			quickslot8:SetBackColor( Turbine.UI.Color(  0.3, 0.3, 0.6 ) );
			quickslot9:SetBackColor( Turbine.UI.Color(  0.3, 0.3, 0.6 ) );
			quickslotlyrical:SetBackColor( Turbine.UI.Color(  0.3, 0.3, 0.6 ) );
			quickslotSP:SetBackColor( Turbine.UI.Color( 0.3, 0.3, 0.6 ) );
			quickslotPS:SetBackColor( Turbine.UI.Color(  0.3, 0.3, 0.6 ) );
			quickslotP:SetBackColor( Turbine.UI.Color(  0.3, 0.3, 0.6 ) );
			quickslotMM:SetBackColor( Turbine.UI.Color(  0.3, 0.3, 0.6 ) );
			compactQuicks:SetBackColor( Turbine.UI.Color(  0.5, 0.5, 1.0 ) );
			Notes:SetBackColor( Turbine.UI.Color(  0.5, 0.5, 1.0 ) );
			compactcontrol:SetBackColor( Turbine.UI.Color(   0.5, 0.5, 1.0 ) );
			musicIcon:SetBackColor( Turbine.UI.Color(   0.5, 0.5, 1.0 ) );
			playIcon:SetBackColor( Turbine.UI.Color(   0.5, 0.5, 1.0 ) );
			PlaySyncIcon:SetBackColor( Turbine.UI.Color(   0.5, 0.5, 1.0 ) );
			PlayStartIcon:SetBackColor( Turbine.UI.Color(   0.5, 0.5, 1.0  ) );
			LyricalIcon:SetBackColor( Turbine.UI.Color(  0.5, 0.5, 1.0 ) );
			PlistItem1:SetBackColor( Turbine.UI.Color( 0.3, 0.3, 0.6 ) );
			PlistItem2:SetBackColor( Turbine.UI.Color( 0.3, 0.3, 0.6) );
			PlistItem3:SetBackColor( Turbine.UI.Color( 0.3, 0.3, 0.6 ) );
			PlistItem4:SetBackColor( Turbine.UI.Color( 0.3, 0.3, 0.6 ) );
			PlistItem5:SetBackColor( Turbine.UI.Color( 0.3, 0.3, 0.6 ) );
			PlistItem6:SetBackColor( Turbine.UI.Color( 0.3, 0.3, 0.6 ) );
			PlistItem7:SetBackColor( Turbine.UI.Color( 0.3, 0.3, 0.6 ) );
			PlistItem8:SetBackColor( Turbine.UI.Color( 0.3, 0.3, 0.6 ) );
			PlistItem9:SetBackColor( Turbine.UI.Color( 0.3, 0.3, 0.6 ) );
			PlistItem10:SetBackColor( Turbine.UI.Color( 0.3, 0.3, 0.6 ) );
			PlistItem11:SetBackColor( Turbine.UI.Color( 0.3, 0.3, 0.6 ) );
			PlistItem12:SetBackColor( Turbine.UI.Color( 0.3, 0.3, 0.6 ) );
			PlistItem13:SetBackColor( Turbine.UI.Color( 0.3, 0.3, 0.6 ) );

		elseif (arguments=="grey") then
			label:SetBackColor( Turbine.UI.Color( 0.6, 0.6, 0.6 ) );
			Save:SetBackColor( Turbine.UI.Color(  0.6, 0.6, 0.6 ) );
			Load:SetBackColor( Turbine.UI.Color(  0.6, 0.6, 0.6 ) );
			Copywrite:SetBackColor( Turbine.UI.Color(  0.6, 0.6, 0.6 ) );
			label1:SetBackColor( Turbine.UI.Color(  0.6, 0.6, 0.6 ) );
			label2:SetBackColor( Turbine.UI.Color(  0.6, 0.6, 0.6 ) );
			quickslot1:SetBackColor( Turbine.UI.Color(  0.6, 0.6, 0.6 ) );
			quickslot2:SetBackColor( Turbine.UI.Color(  0.6, 0.6, 0.6 ) );
			quickslot3:SetBackColor( Turbine.UI.Color(  0.6, 0.6, 0.6 ) );
			quickslot4:SetBackColor( Turbine.UI.Color(  0.6, 0.6, 0.6 ) );
			quickslot5:SetBackColor( Turbine.UI.Color(  0.6, 0.6, 0.6 ) );
			quickslot6:SetBackColor( Turbine.UI.Color(  0.6, 0.6, 0.6 ) );
			quickslot7:SetBackColor( Turbine.UI.Color(  0.6, 0.6, 0.6 ) );
			quickslot8:SetBackColor( Turbine.UI.Color(  0.6, 0.6, 0.6 ) );
			quickslot9:SetBackColor( Turbine.UI.Color(  0.6, 0.6, 0.6 ) );
			quickslotlyrical:SetBackColor( Turbine.UI.Color(  0.6, 0.6, 0.6 ) );
			quickslotSP:SetBackColor( Turbine.UI.Color( 0.6, 0.6, 0.6 ) );
			quickslotPS:SetBackColor( Turbine.UI.Color(  0.6, 0.6, 0.6 ) );
			quickslotP:SetBackColor( Turbine.UI.Color(  0.6, 0.6, 0.6 ) );
			quickslotMM:SetBackColor( Turbine.UI.Color(  1.0, 1.0, 1.0 ) );
			compactQuicks:SetBackColor( Turbine.UI.Color(  1.0, 1.0, 1.0 ) );
			Notes:SetBackColor( Turbine.UI.Color(  0.7, 0.7, 0.7 ) );
			compactcontrol:SetBackColor( Turbine.UI.Color(   1.0, 1.0, 1.0 ) );
			musicIcon:SetBackColor( Turbine.UI.Color(   1.0, 1.0, 1.0 ) );
			playIcon:SetBackColor( Turbine.UI.Color(   1.0, 1.0, 1.0 ) );
			PlaySyncIcon:SetBackColor( Turbine.UI.Color(   1.0, 1.0, 1.0 ) );
			PlayStartIcon:SetBackColor( Turbine.UI.Color(   1.0, 1.0, 1.0  ) );
			LyricalIcon:SetBackColor( Turbine.UI.Color(  1.0, 1.0, 1.0 ) );
			PlistItem1:SetBackColor( Turbine.UI.Color( 0.6, 0.6, 0.6 ) );
			PlistItem2:SetBackColor( Turbine.UI.Color( 0.6, 0.6, 0.6) );
			PlistItem3:SetBackColor( Turbine.UI.Color( 0.6, 0.6, 0.6 ) );
			PlistItem4:SetBackColor( Turbine.UI.Color( 0.6, 0.6, 0.6 ) );
			PlistItem5:SetBackColor( Turbine.UI.Color( 0.6, 0.6, 0.6 ) );
			PlistItem6:SetBackColor( Turbine.UI.Color( 0.6, 0.6, 0.6 ) );
			PlistItem7:SetBackColor( Turbine.UI.Color( 0.6, 0.6, 0.6 ) );
			PlistItem8:SetBackColor( Turbine.UI.Color( 0.6, 0.6, 0.6 ) );
			PlistItem9:SetBackColor( Turbine.UI.Color( 0.6, 0.6, 0.6 ) );
			PlistItem10:SetBackColor( Turbine.UI.Color( 0.6, 0.6, 0.6 ) );
			PlistItem11:SetBackColor( Turbine.UI.Color( 0.6, 0.6, 0.6 ) );
			PlistItem12:SetBackColor( Turbine.UI.Color( 0.6, 0.6, 0.6 ) );
			PlistItem13:SetBackColor( Turbine.UI.Color( 0.6, 0.6, 0.6 ) );

		elseif (arguments=="clearplaylist") then
			PlistItem2:SetText("");
			PlistItem3:SetText("");
			PlistItem4:SetText("");
			PlistItem5:SetText("");
			PlistItem6:SetText("");
			PlistItem7:SetText("");
			PlistItem8:SetText("");
			PlistItem9:SetText("");
			PlistItem10:SetText("");
			PlistItem11:SetText("");
			PlistItem12:SetText("");
			PlistItem13:SetText("");
			Turbine.Shell.WriteLine(""..Lang[1][25]);

		elseif (arguments=="") then
			Turbine.Shell.WriteLine("");
			Turbine.Shell.WriteLine("");
			Turbine.Shell.WriteLine("------------------------------------");
			Turbine.Shell.WriteLine("------------------------------------");
			Turbine.Shell.WriteLine(""..Lang[1][13]);
			Turbine.Shell.WriteLine("------------------------------------");
			Turbine.Shell.WriteLine("------------------------------------");
			Turbine.Shell.WriteLine(""..Lang[1][14] );
			Turbine.Shell.WriteLine("------------------------------------");
			Turbine.Shell.WriteLine(""..Lang[1][15] );
			Turbine.Shell.WriteLine(""..Lang[1][16] );
			Turbine.Shell.WriteLine("------------------------------------");
			Turbine.Shell.WriteLine(""..Lang[1][17] );
			Turbine.Shell.WriteLine(""..Lang[1][18] );
			Turbine.Shell.WriteLine("");
			Turbine.Shell.WriteLine(""..Lang[1][19] );
			Turbine.Shell.WriteLine(""..Lang[1][20] );
			Turbine.Shell.WriteLine(""..Lang[1][23] );
			Turbine.Shell.WriteLine("------------------------------------");
			Turbine.Shell.WriteLine("");
		end
	end
end